Page MenuHomePhabricator

Run updateArticleCount.php on Dutch Wikinews
Closed, ResolvedPublic

Description

Can we get a recount of the articles in the Dutch Wikinews, which was just reopened (T168764)? The on-wiki count of 4,220 after importing was finished cannot possibly be correct: the entire wiki was emptied before importing began and fewer than 3,400 main-namepspace pages were actually imported. (The main namespace is the only content namespace on that wiki.)

I know the wiki will be recounted on the 21st, but it's getting annoying to have to wait for weeks after a wiki is opened to get an accurate count of its articles. Recounting after importing is done should be a regular part of the process of creating new wikis…

Anyway, this task is just about recounting nlwikinews. :)

Event Timeline

Dcljr created this task.Jul 6 2017, 9:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2017, 9:53 AM
Urbanecm added a subscriber: Urbanecm.

AFAIK there should be both tags. Unfourunately I can't run it as I have no shell access to prod :).

Seba98 added a subscriber: Seba98.Jul 6 2017, 1:46 PM
Dcljr added a comment.Jul 8 2017, 9:30 AM

FYI, there is also T169881: Run refreshLinks.php for nlwikinews at all pages, which I'm guessing should be done before this task?

FYI, there is also T169881: Run refreshLinks.php for nlwikinews at all pages, which I'm guessing should be done before this task?

It doesn't matter I think.

Reedy closed this task as Resolved.Jul 19 2017, 12:37 AM
Reedy claimed this task.
Reedy added a subscriber: Reedy.
reedy@tin:/srv/mediawiki-staging$ mwscript updateArticleCount.php --wiki=nlwikinews --update
Counting articles...found 2531.
Updating site statistics table... done.
Dcljr added a comment.Jul 19 2017, 4:19 AM

Thank you, @Reedy — So was @Urbanecm correct that it doesn't matter which of updateArticleCount.php and refreshLinks.php is run first? I thought determining what constitutes an "article" involved looking in the "links" table.

You can determine what is an article by looking for content namespaces (this is in the configuration) and by consulting page_namespace in the "page" table.

That's only half the definition of an article: it needs to be a page in a content namespace containing at least one [[wikilink]] to a page title on the same wiki (whether the target exists or not).